DROP TABLE IF EXISTS `backlinks`;
CREATE TABLE `backlinks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `projects_id` int(11) NOT NULL,
  `link` varchar(1024) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `internal_links` int(11) unsigned DEFAULT NULL,
  `external_links` int(11) unsigned DEFAULT NULL,
  `ip` varchar(15) DEFAULT NULL,
  `code` int(11) unsigned DEFAULT NULL,
  `google_cache` varchar(255) DEFAULT NULL,
  `pagerank` varchar(255) DEFAULT NULL,
  `osepa` varchar(255) DEFAULT NULL,
  `oseda` varchar(255) DEFAULT NULL,
  `parser_id` int(3) unsigned DEFAULT NULL,
  `errors` text,
  `updated` datetime DEFAULT NULL,
  `project_link` text,
  `alexa` varchar(255) DEFAULT NULL,
  `facebook` text,
  `twitter` varchar(255) DEFAULT NULL,
  `googleplus` varchar(255) DEFAULT NULL,
  `delicious` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_id` (`projects_id`),
  KEY `index_foreignkey_backlinks_projects` (`projects_id`),
  KEY `projects_id` (`projects_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `notices`;
CREATE TABLE `notices` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `projects_id` tinyint(3) unsigned DEFAULT NULL,
  `backlinks_id` int(11) unsigned DEFAULT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `parser`;
CREATE TABLE `parser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `projects_id` int(11) NOT NULL,
  `started` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `finished` timestamp NULL DEFAULT NULL,
  `update` varchar(11) DEFAULT NULL,
  `links_on_start` int(11) unsigned DEFAULT NULL,
  `links` int(11) unsigned DEFAULT NULL,
  `dofollow` int(11) unsigned DEFAULT NULL,
  `nofollow` int(11) unsigned DEFAULT NULL,
  `can_update` tinyint(1) NOT NULL DEFAULT '1',
  `updated_backlinks` int(11) unsigned NOT NULL DEFAULT '0',
  `error` text,
  PRIMARY KEY (`id`),
  KEY `index_foreignkey_parser_projects` (`projects_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `projects`;
CREATE TABLE `projects` (
  `id` int(1) NOT NULL DEFAULT 1,
  `name` varchar(256) NOT NULL,
  `link` varchar(1024) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ose` tinyint(3) unsigned DEFAULT NULL,
  `alexa` tinyint(3) unsigned DEFAULT NULL,
  `googlepr` tinyint(3) unsigned DEFAULT NULL,
  `googlecache` tinyint(4) DEFAULT NULL,
  `cron` varchar(255) DEFAULT NULL,
  `enable_cron` tinyint(3) unsigned DEFAULT NULL,
  `cron_next_run` int(11) unsigned DEFAULT NULL,
  `ose_key` varchar(255) DEFAULT NULL,
  `mail` varchar(255) DEFAULT NULL,
  `ose_member_id` varchar(255) DEFAULT NULL,
  `social` tinyint(3) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
